# $Revision: 1.41 $, $Date: 2009/04/02 21:01:03 $
#
# Conditional build:
%bcond_without	hal	# use libusb instead of HAL
#
Summary:	Muscle PCSC Framework for Linux
Summary(pl.UTF-8):	Środowisko PCSC dla Linuksa
Name:		pcsc-lite
Version:	1.5.2
Release:	1
License:	BSD
Group:		Daemons
#Source0Download: http://alioth.debian.org/project/showfiles.php?group_id=30105
Source0:	http://alioth.debian.org/frs/download.php/2795/%{name}-%{version}.tar.bz2
# Source0-md5:	d7d466621bec39354351f09349f6374c
Source1:	%{name}-pcscd.init
Source2:	%{name}-pcscd.sysconfig
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-any.patch
URL:		http://www.linuxnet.com/middle.html
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.8
BuildRequires:	flex
%{?with_hal:BuildRequires:	hal-devel}
BuildRequires:	libtool >= 1.4.2-9
%{!?with_hal:BuildRequires:	libusb-devel >= 0.1.7}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
# temporary?
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-latex-ae
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	fileutils
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		usbdropdir	/usr/%{_lib}/pcsc/drivers
%define		muscledropdir	/usr/%{_lib}/pcsc/services

%description
pcscd is the daemon program for PC/SC Lite. It is a resource manager
that coorinates communications with Smart Card readers and Smart Cards
that are connected to the system. The purpose of PCSC Lite is to
provide a Windows(R) SCard interface in a very small form factor for
communicating to smartcards and readers. PCSC Lite uses the same
winscard api as used under Windows(R).

%description -l pl.UTF-8
pcscd jest demonem dla PC/SC Lite. Jest to zarządca zasobów,
koordynujący komunikację z czytnikami kart procesorowych podłączonymi
do systemu. Celem PCSC Lite jest udostępnienie interfejsu zgodnego z
Windows(R) SCard służącego do komunikacji z czytnikami kart chipowych.
Używa tego samego API winscard, które jest używane pod Microsoft(TM)
Windows(R).

%package libs
Summary:	PC/SC Lite libraries
Summary(pl.UTF-8):	Biblioteki PC/SC Lite
Group:		Libraries

%description libs
PC/SC Lite libraries.

%description libs -l pl.UTF-8
Biblioteki PC/SC Lite.

%package devel
Summary:	PC/SC Lite development files
Summary(pl.UTF-8):	Pliki dla programistów używających PC/SC Lite
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
PC/SC Lite development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających PC/SC Lite.

%package static
Summary:	Static PC/SC Lite libraries
Summary(pl.UTF-8):	Biblioteki statyczne PC/SC Lite
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PC/SC Lite libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PC/SC Lite.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_hal:--disable-hal} \
	--enable-muscledropdir=%{muscledropdir} \
	--enable-runpid=/var/run/pcscd.pid \
	--enable-usbdropdir=%{usbdropdir}

%{__make}

# temporary?
%{__make} -C doc ifdhandler-3.pdf pcsc-lite.pdf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{usbdropdir},%{muscledropdir}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/pcscd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/pcscd

install doc/example/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

:> $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# upgrade from pcsc-lite < 1.2.9-0.beta7
if [ -f /etc/reader.conf -a ! -f /etc/reader.conf.d/reader.conf ]; then
	install -d -m755 /etc/reader.conf.d
	cp -af /etc/reader.conf /etc/reader.conf.d/reader.conf
fi

%post
/sbin/chkconfig --add pcscd
%service pcscd restart "pcscd daemon"

%preun
if [ "$1" = "0" ]; then
	%service pcscd stop
	/sbin/chkconfig --del pcscd
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog* DRIVERS HELP NEWS README SECURITY TODO doc/README.DAEMON
%attr(755,root,root) %{_sbindir}/pcscd
%attr(755,root,root) %{_sbindir}/update-reader.conf
%{_libdir}/pcsc
%dir %{_sysconfdir}/reader.conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/reader.conf.d/reader.conf
%ghost %{_sysconfdir}/reader.conf
%attr(754,root,root) /etc/rc.d/init.d/pcscd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/pcscd
%{_mandir}/man5/reader.conf.5*
%{_mandir}/man8/pcscd.8*
%{_mandir}/man8/update-reader.conf.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpcsclite.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpcsclite.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf
%attr(755,root,root) %{_libdir}/libpcsclite.so
%{_libdir}/libpcsclite.la
%{_includedir}/PCSC
%{_pkgconfigdir}/libpcsclite.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libpcsclite.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pcsc-lite.spec,v $
Revision 1.41  2009/04/02 21:01:03  qboosh
- updated to 1.5.2
- updated any patch

Revision 1.40  2008/11/17 11:21:58  arekm
- up to 1.4.102

Revision 1.39  2008-05-31 15:08:08  qboosh
- updated to 1.4.101 (defaults to hal now)

Revision 1.38  2008-03-01 19:38:13  qboosh
- updated to 1.4.99

Revision 1.37  2007-09-02 23:33:42  qboosh
- updated to 1.4.4

Revision 1.36  2007/08/11 22:19:55  qboosh
- updated to 1.4.3

Revision 1.35  2007/06/14 19:36:36  qboosh
- updated to 1.4.2

Revision 1.34  2007/02/21 08:54:21  qboosh
- updated to 1.4.0

Revision 1.33  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:19  baggins
- converted to UTF-8

Revision 1.31  2007/01/22 09:13:14  qboosh
- updated to 1.3.3

Revision 1.30  2007/01/02 10:47:51  arekm
- rel 2

Revision 1.29  2006/08/16 08:54:58  qboosh
- libusb >= 0.1.7

Revision 1.28  2006/08/16 08:54:11  qboosh
- BR: pkgconfig

Revision 1.27  2006/08/16 08:50:46  qboosh
- updated to 1.3.2

Revision 1.26  2006/05/21 17:42:52  glen
- check-files cleanup

Revision 1.25  2006/04/24 09:12:21  qboosh
- updated to 1.3.1

Revision 1.24  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.23  2006/03/06 09:41:01  qboosh
- merged from DEVEL

Revision 1.22  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.21  2004/08/23 08:46:58  qboosh
- updated download URL

Revision 1.20.2.9  2006/03/06 09:39:27  qboosh
- updated to 1.3.0 release, libmusclecard separated again

Revision 1.20.2.8  2006/02/06 09:18:31  qboosh
- updated to 1.2.9-beta10

Revision 1.20.2.7  2005/11/28 09:51:21  qboosh
- updated to 1.2.9-beta9

Revision 1.20.2.6  2005/09/20 08:33:07  qboosh
- updated to 1.2.9-beta8; libmusclecard is here again (but in subpackages)

Revision 1.20.2.5  2005/03/04 11:14:49  qboosh
- updated to 1.2.9-beta7, updated any patch and .init
- libmusclecard has been moved to separate package

Revision 1.20.2.4  2004/08/24 12:54:18  qboosh
- added any patch, release .2

Revision 1.20.2.3  2004/08/23 08:46:30  qboosh
- updated download URL

Revision 1.20.2.2  2004/08/20 12:00:43  qboosh
- 1.2.9-beta6

Revision 1.20.2.1  2004/08/02 10:32:16  qboosh
- updated to 1.2.9-beta5, updated fhs patch

Revision 1.20  2004/07/30 14:49:12  qboosh
- release 2

Revision 1.19  2004/07/30 14:44:16  qboosh
- lib64-aware dropdirs

Revision 1.18  2004/06/27 19:45:00  adgor
- Obsolete patches really removed

Revision 1.17  2004/06/22 11:23:41  qboosh
- distfiles don't support https, changed Source0 to http

Revision 1.16  2004/06/22 11:14:38  qboosh
- updated to 1.2.0, updated fhs patch, removed obsolete link,amfix patches

Revision 1.15  2004/04/29 14:27:25  adgor
- Strict internal deps

Revision 1.14  2004/04/26 17:30:47  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.13  2003/05/28 13:00:17  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/03/15 15:10:15  qboosh
- link libpcsclite with -lpthread (link patch), added BRs

Revision 1.10  2003/03/11 10:37:41  qboosh
- added init script
- added fhs patch and /usr/lib/pcsc/{drivers,services} dirs

Revision 1.9  2003/03/05 14:30:22  qboosh
- added ifdhandler.h to -devel

Revision 1.8  2003/02/27 13:14:41  qboosh
- cleanups and fixes, removed perl and tools (will be in separate packages)

Revision 1.7  2002/12/26 13:48:53  qboosh
- pl, cleanups

Revision 1.6  2002/12/18 21:58:12  hunter
-added some utils

Revision 1.5  2002/12/03 21:34:37  ankry
- cleaning

Revision 1.4  2002/11/30 10:53:38  qboosh
- some cleanups

Revision 1.3  2002/11/21 17:45:45  hunter
-static & libs.

Revision 1.2  2002/11/21 16:50:21  hunter
-- +-devel

Revision 1.1  2002/11/21 16:32:03  hunter
-first milestep in road to passwordless workstation :)
-it's soft for some cardreaders.
